*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  font-family: 'Courier New', Courier, monospace;
  display: grid;
  place-items: center;
  background-color: #99A3A3;
  min-height: 100vh;
}

/* message */
/* .message {
  padding: 1.75rem;
  width: calc(8.4375rem * 3 + 0.75rem * 2);
  background-color: lightblue;
  border-radius: 0.5rem;
  text-align: center;
  font-size: 2.5rem;
} */

/* board, cells */
.tictactoe-game {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 1fr);
  background-color: #222;
  gap: 8px;
}

.cell {
  width: 128px;
  height: 128px;
  background-color: #99A3A3;
  cursor: pointer;
}

/* .circle, .cross */
/* unicode hex value \274 is  ❌ */
/* unicode hex value \26AB is ⚫  */
.circle::before,
.cross::before,
.circle-hover::before,
.cross-hover::before {
  /* content: "\274C"; */
  content: "\2CAC";
  /* content: "\03A7"; */
  font-size: 4rem;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.circle::before,
.circle-hover::before {
  /* content: "\26AB"; */
  content: "\2C9E";
  /* content: "\039F"; */
}

.circle-hover::before,
.cross-hover::before {
  opacity: 0.3;
  filter: grayscale(100%);
  /* background-color: pink; */
}

/* WINNING LINE */
.highlight {
  background-color: #8a9090;
  /* color: #ccc; */
}

.btns-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}

/* .btn {
  padding: 0.75rem 1rem;
  border-radius: 0.5rem;
  border: none;
  outline: none;
  color: #f3f3f3;
  font-size: 1.5rem;
  background-size: 200% auto;
  transition: all 0.5s ease-in-out;
  cursor: pointer;
} */

/* .btn:hover {
  background-position: right;
} */

/* .btn-restart {
  background-image: linear-gradient(to right,
      #314755 0%,
      #26a0da 51%,
      #314755 100%);
} */

/* .btn-quit {
  background-image: linear-gradient(to right,
      #d31027 0%,
      #5c0711 51%,
      #ea384d 100%);
} */

/* .overlay.active {
  max-height: 100vh;
} */